%global srcname pytest-modifyjunit

%if 0%{?rhel} == 8
%bcond_with python2
%global python3_devel platform-python-devel
%else
%global python3_devel python%{python3_pkgversion}-devel
%bcond_without python2
%endif

%define name 	python-%{srcname}
%define owner	IDM QE
%define project pytest-modifyjunit
%define version 1.3
%define release 0

Name: 		%{name}
Version:	%{version}
Release:	%{release}%{?dist}
Summary:	pytest plugin to modify junit to add additional properties

License:	GPLv3+
URL:        https://pagure.io/pytest-modifyjunit
Source0:    http://releases.pagure.org/pytest-modifyjunit/%{srcname}-%{version}.tar.gz

BuildArch:      noarch

%description
pytest plugin to modify junit to add additional properties

%if %{with python2}
%package -n python2-%{srcname}
Summary:	   pytest plugin to modify junit to add additional properties
%{?python_provide:%python_provide python2-%{srcname}}

BuildRequires: python-devel
BuildRequires: python-setuptools
Requires:      pytest

%description -n python2-%{srcname}
pytest plugin to modify junit to add additional properties
%endif

%package -n python3-%{srcname}
Summary:	   pytest plugin to modify junit to add additional properties
#%{?python_provide:%python_provide python3-%{srcname}}
%{?python_provide:%python_provide python%{python3_pkgversion}-%{srcname}}

BuildRequires: %{python3_devel}
BuildRequires: python%{python3_pkgversion}-setuptools
Requires:      python%{python3_pkgversion}-pytest

%description -n python3-%{srcname}
pytest plugin to modify junit to add additional properties


%prep
%autosetup -n %{srcname}-%{version}

%if 0%{?with_python3}
echo %{py3dir}
rm -rf %{py3dir}
cp -a . %{py3dir}
%endif

%build
%if %{with python2}
%py2_build
%endif

%py3_build

%install
%if %{with python2}
%py2_install
%endif

%py3_install

%if %{with python2}
%files -n python2-%{srcname}
%doc README.rst 
%{python2_sitelib}/*
%endif

%files -n python3-%{srcname}
%doc README.rst 
%{python3_sitelib}/*


%changelog
* Thu Oct 18 2018 Scott Poore <spoore@redhat.com> - 1.3
- Building new rpm with latest version
- Adding support in spec for different name for python3
* Wed Mar 21 2018 Niranjan MR <mrniranjan@redhat.com> - 1.2
- Add support for having title specified in multiple lines
* Thu Jul 27 2017 Niranjan MR <mrniranjan@redhat.com> - 0.1-2
- Make Title generic instead of hardcoding
* Mon Nov 14 2016 Niranjan MR <mrniranjan@redhat.com> - 0.1-1
- initial version-
